Skip to navigation

Retrieve a product charge definition

View as Markdown

Retrieves basic information about a product charge definition.

Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

product-charge-definition-keystringRequired
The unique number or ID of the product charge definition to be retrieved.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

hide-inherited-valuesbooleanOptional
The flag that controls whether the response will merge the default charge definition fields for those fields that are not overridden.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
applyDiscountToenum or nullOptional
Indicates which type of charge the discount charge applies to.
billingDaystringOptional
The bill cycle type for the charge.
billingPeriodstringOptional
The billing period for the product charge definition.
billingPeriodAlignmentenumOptional
The billing period alignment setting for the charge.
Allowed values:
billingTimingenumOptional
The billing timing setting for the product charge definition.
Allowed values:
chargeModelenumOptional
Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration.
chargeTypeenumOptional
Indicates the type of charge.
Allowed values:
customFieldsmap from strings to anyOptional
Container for custom fields of a Product Charge Definition object.
defaultQuantitydouble or nullOptional

The default quantity.

This field is applicable only for one-time and recurring charges.

deliveryScheduleobjectOptional
descriptionstringOptional
The description for the charge.
discountClassstring or nullOptional

The class that the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied.

For more information, see Manage Discount Classes.

discountLevelenum or nullOptional

The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge.

Allowed values:
effectiveEndDatedatetimeOptional
The effective end date of the product charge definition.
effectiveStartDatedatetimeOptional
The effective start date of the product charge definition.
endDateConditionenumOptional
The end date condition for this charge.
Allowed values:
financeInformationobjectOptional
Container for finance information of the rate plan charge.
isDefaultbooleanOptional
Indicates whether this charge definition is the default one for the charge.
isStackedDiscountbooleanOptional

Note: This field is only applicable to the Discount - Percentage charge model.

To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or higher. Otherwise, an error occurs.

This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows:

  • True: This is a stacked discount, which should be calculated by stacking with other discounts.
  • False: This is not a stacked discount, which should be calculated in sequence with other discounts.

For more information, see Stacked discounts.

numberOfPeriodslong or nullOptional

Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover.

listPriceBaseenumOptional

The list price base.

This field is applicable only for recurring charges.

Note: The Per_Year enum value is available only if you have the Annual List Price feature enabled.

Allowed values:
numberOfPeriodlongOptional
Indicates the number of periods to use when calculating charges in an overage smoothing charge model. The valid value is a positive whole number.
overageCalculationOptionenum or nullOptional

Determines when to calculate overage charges. If the value of the SmoothingMode field is not specified, the value of this field is ignored.

Values:

  • EndOfSmoothingPeriod: This option is used by default. The overage is charged at the end of the smoothing period.
  • PerBillingPeriod: The overage is charged on-demand rather than waiting until the end of the smoothing period.
Allowed values:
overageUnusedUnitsCreditOptionenum or nullOptional
Determines whether to credit the customer with unused units of usage.
Allowed values:
priceChangeOptionenum or nullOptionalDefaults to NoChange
Applies an automatic price change when a termed subscription is renewed.
Allowed values:
priceIncreaseOptionenumOptional
Applies an automatic price change when a termed subscription is renewed.
Allowed values:
priceIncreasePercentagedouble or nullOptional

Specifies the percentage to increase or decrease the price of a termed subscription’s renewal. Use this field if you set the priceIncreaseOption value to SpecificPercentageValue.

Character limit: 16

Values: a decimal value between -100 and 100

priceslist of objectsOptional
Container for the prices of the product charge definition.
productChargeDefinitionIdstringOptional
The unique ID of the product charge definition.
productChargeDefinitionNumberstringOptional

The unique number (natural key) of the product charge definition.

productDiscountApplyDetailslist of objectsOptional
Container for the application details about a discount product rate plan charge. Only discount product rate plan charges have values for this field.
productRatePlanChargeIdstringOptional
The unique ID of the product charge of the charge definition.
productRatePlanChargeNumberstring or nullOptional

The unique number (natural key) of the product charge of the charge definition.

productRatePlanIdstring or nullOptional
The unique ID of the product rate plan that uses this charge definition.
productRatePlanNamestring or nullOptional
Th name of the product rate plan that uses this charge definition.
productRatePlanNumberstring or nullOptional

The unique number (natural key) of the product rate plan that uses this charge definition.

ratingGroupenum or nullOptionalDefaults to ByBillingPeriod

The rating group based on which usage records are rated.

Possible values:

  • ByBillingPeriod: The rating is based on all the usages in a billing period.
  • ByUsageStartDate: The rating is based on all the usages on the same usage start date.
  • ByUsageRecord: The rating is based on each usage record.
  • ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv).
  • ByGroupId: The rating is based on all the usages in a custom group.

Notes:

  • The ByBillingPeriod value can be applied for all charge models.
  • The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for Per Unit, Volume Pricing, and Tiered Pricing charge models.
  • The ByGroupId value is only available if you have the Active Rating feature enabled.
  • Use this field only for Usage charges. One-time charges and recurring charges return NULL.
Allowed values:
recognizedRevenueAccountstringOptional<=100 characters

The name of the recognized revenue account for this charge.

  • Required when the Allow Blank Accounting Code setting is No.
  • Optional when the Allow Blank Accounting Code setting is Yes.

This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

revRecCodestring or nullOptional<=70 characters
Associates this product rate plan charge with a specific revenue recognition code.
revRecTriggerConditionenum or nullOptional
Indicates when revenue recognition begins.
Allowed values:
revenueRecognitionRuleNameenumOptional
Determines when to recognize the revenue for this charge.
Allowed values:
smoothingModelenum or nullOptional
Indicates the smoothing model for an overage smoothing charge model.
Allowed values:
specificBillingPerioddouble or nullOptional
The specific number of billing period for the product charge definition.
specificListPriceBaseinteger or nullOptional1-200

The number of months for the list price base of the charge definition.
This field is null if the listPriceBase field is not set to Per_Specific_Months.

successbooleanOptional
Indicates whether the request succeeded.
taxCodestringOptional<=64 characters

Specifies the tax code for taxation rules.

Note: This value affects the tax calculation of the rate plan charge.

taxModeenum or nullOptional

Determines how to define taxation for the charge.

Note: This value affects the tax calculation of the rate plan charge.

Allowed values:
taxablebooleanOptional

Determines whether the charge definition is taxable.

Character limit: 5

Values: True, False

Note: This value affects the tax calculation of the rate plan charge.

termdouble or nullOptional

The number of periods of a termed subscription that is eligible for this charge definition. This field is applicable when the termType field is set to TERMED, and is to be used together with the termPeriodType field.

termPeriodTypeenum or nullOptional
The period type for the subscription term that is eligible for this charge definition.
Allowed values:
termTypeenum or nullOptional
The type of the subscription that is eligible for this charge definition.
Allowed values:
triggerEventenumOptional

Specifies when to start billing the customer for the charge definition.

Values:

  • ContractEffective is the date when the subscription’s contract goes into effect and the charge is ready to be billed.
  • ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access.
  • CustomerAcceptance is when the customer accepts the services or products for a subscription.
Allowed values:
uomstring or nullOptional

Indicates the unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge.

upToPeriodsdouble or nullOptional

The number of up-to periods for this charge.

upToPeriodsTypeenum or nullOptional

The up-to-periods type for this charge.

Allowed values:
usageRecordRatingOptionenum or nullOptionalDefaults to EndOfBillingPeriod

Determines how Zuora processes usage records for per-unit usage charges.

Allowed values:
useDiscountSpecificAccountingCodeboolean or nullOptional

Determines whether to define a new accounting code for the new discount charge.

Character limit: 5

Values: true, false

useTenantDefaultForPriceChangebooleanOptional

Applies the tenant-level percentage uplift value for an automatic price change to a termed subscription’s renewal.

Character limit: 5

Values: true, false

excludeItemBillingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

excludeItemBookingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related rate plan charges and order line items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

isAllocationEligiblebooleanOptional

Indicates whether the charge segment is allocation eligible in revenue recognition. The default value is false.

Values: true, false

Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.

isUnbilledbooleanOptional

Specifies how to perform the accounting during revenue recognition. The default value is false.

Values: true, false

Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.

productCategorystringOptional

This field is used to maintain the product category for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productClassstringOptional

This field is used to maintain the product class for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productFamilystringOptional

This field is used to maintain the product family for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productLinestringOptional

This field is used to maintain the product line for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

revenueRecognitionTimingenumOptional

Specifies the type of revenue recognition timing.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:
revenueAmortizationMethodenumOptional

Specifies the type of revenue amortization method.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:

Errors

4XX
Client Request Error
500
Internal Server Error